Subject: Re: [bug#75146] [PATCH v0 00/15] XFCE: Move source from generated archive to git.

From: 宋文武 <[email-masked]>
Date: Mon, 30 Dec 2024 22:27:39 +0800

宋文武 <[email-masked]> writes:

> Ashvith Shetty <[email-masked]> writes:
>
>> Hello,
>>
>> On Mon, Dec 30, 2024 at 2:49 AM 宋文武 <[email-masked]> wrote:
>>
>>> Hello, could you explain more about those inconsistency and missing
>>> files?
>>
>> For example, Thunar's `make check` did not run tests for the archive, as 
>> opposed to git as the source. Only after switching to git was I able to 
>> catch how one of  the abicheck tests were broken. Now, this has been 
>> resolved in a future version, but given how it would be highly unlikely to 
>> catch these issues via archive as the source, I thought that it was better if 
>> we made use of git instead.
>>
>>> Build from git is more expensive than tarballs, as it download
>>> more and need more dependencies.
>>
>> Another issue with archive as the source is that the archive includes files that 
>> have been generated on another system via the git repository. For git, since 
>> we are building directly from the repo itself, I believe that it would be a right 
>> pick. 
>
> So switch from generated talballs to git sources will enable us to:
> - run more tests
> - test versions easier (with guix build --with-commit=...)
> - trust more (generate manpages and gtk documents ourselves etc.)
>
> I'll do some rework (split commits, adjust commit message) based on your
> patches later, thanks!

I had sent updates via v3, which add autotools, automake, etc. to
propagated-inputs of xfce4-dev-tools to avoid add them to every
packages.  There are still many xfce packages remain to
be updated.  @Ashvith do you want to continue the work?  or I can
do them later..